package com.brilliance.isc.model.lgb;

import com.brilliance.isc.model.pty.*;

import java.util.Date;
import java.util.List;

/**
 * (Pty)实体类
 *
 * @author makejava
 * @since 2022-11-01 13:49:18
 */
public class Pty {

    private String inr;

    private String extkey;

    private String nam;

    private String ptytyp;

    private String accusr;

    private String hbkaccflg;

    private String hbkconflg;

    private String hbkinr;

    private String heqaccflg;

    private String heqconflg;

    private String heqinr;

    private String prfctr;

    private String resusr;

    private String rskcls;

    private String rskcty;

    private String rsktxt;

    private String uil;

    private String ver;

    private String akkbra;

    private String akkcom;

    private String akkreg;

    private String lidcndflg;

    private int lidmaxdur;

    private String trdcndflg;

    private int trdtentot;

    private int trdtenini;

    private int trdtenext;

    private int trdextnmb;

    private String badcndflg;

    private int badtenext;

    private String adrsta;

    private String seltyp;

    private String buytyp;

    private String sla;

    private String etgextkey;

    private String nam1;

    private String juscod;

    private double bilvvv;

    private String cunqii;

    private String idcode;

    private String idtype;

    private String bchkeyinr;

    private String clscty;

    private String procod;

    private String trnman;

    private String speeco;

    private double selrat;

    private double buyrat;

    private String bngcod;

    private String ecifno;

    private String dshflg;

    private String crmtyp;

    private String ecifnam1;

    private String ecifjuscod;

    private String qygmgb;

    private Date khbsdt;

    private List<Pta> ptaList;

    private List<Act> actList;

    private List<Ptc> ptcList;

    private List<Fec> fecList;

    private List<Ptyrat> ptyratList;

    public List<Ptyrat> getPtyratList() {
        return ptyratList;
    }

    public void setPtyratList(List<Ptyrat> ptyratList) {
        this.ptyratList = ptyratList;
    }

    public List<Fec> getFecList() {
        return fecList;
    }

    public void setFecList(List<Fec> fecList) {
        this.fecList = fecList;
    }

    public List<Ptc> getPtcList() {
        return ptcList;
    }

    public void setPtcList(List<Ptc> ptcList) {
        this.ptcList = ptcList;
    }

    public List<Act> getActList() {
        return actList;
    }

    public void setActList(List<Act> actList) {
        this.actList = actList;
    }

    private int primaryKey;

    public int getPrimaryKey() {
        return primaryKey;
    }

    public void setPrimaryKey(int primaryKey) {
        this.primaryKey = primaryKey;
    }

    public List<Pta> getPtaList() {
        return ptaList;
    }

    public void setPtaList(List<Pta> ptaList) {
        this.ptaList = ptaList;
    }


    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getExtkey() {
        return extkey;
    }

    public void setExtkey(String extkey) {
        this.extkey = extkey;
    }

    public String getNam() {
        return nam;
    }

    public void setNam(String nam) {
        this.nam = nam;
    }

    public String getPtytyp() {
        return ptytyp;
    }

    public void setPtytyp(String ptytyp) {
        this.ptytyp = ptytyp;
    }

    public String getAccusr() {
        return accusr;
    }

    public void setAccusr(String accusr) {
        this.accusr = accusr;
    }

    public String getHbkaccflg() {
        return hbkaccflg;
    }

    public void setHbkaccflg(String hbkaccflg) {
        this.hbkaccflg = hbkaccflg;
    }

    public String getHbkconflg() {
        return hbkconflg;
    }

    public void setHbkconflg(String hbkconflg) {
        this.hbkconflg = hbkconflg;
    }

    public String getHbkinr() {
        return hbkinr;
    }

    public void setHbkinr(String hbkinr) {
        this.hbkinr = hbkinr;
    }

    public String getHeqaccflg() {
        return heqaccflg;
    }

    public void setHeqaccflg(String heqaccflg) {
        this.heqaccflg = heqaccflg;
    }

    public String getHeqconflg() {
        return heqconflg;
    }

    public void setHeqconflg(String heqconflg) {
        this.heqconflg = heqconflg;
    }

    public String getHeqinr() {
        return heqinr;
    }

    public void setHeqinr(String heqinr) {
        this.heqinr = heqinr;
    }

    public String getPrfctr() {
        return prfctr;
    }

    public void setPrfctr(String prfctr) {
        this.prfctr = prfctr;
    }

    public String getResusr() {
        return resusr;
    }

    public void setResusr(String resusr) {
        this.resusr = resusr;
    }

    public String getRskcls() {
        return rskcls;
    }

    public void setRskcls(String rskcls) {
        this.rskcls = rskcls;
    }

    public String getRskcty() {
        return rskcty;
    }

    public void setRskcty(String rskcty) {
        this.rskcty = rskcty;
    }

    public String getRsktxt() {
        return rsktxt;
    }

    public void setRsktxt(String rsktxt) {
        this.rsktxt = rsktxt;
    }

    public String getUil() {
        return uil;
    }

    public void setUil(String uil) {
        this.uil = uil;
    }

    public String getVer() {
        return ver;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public String getAkkbra() {
        return akkbra;
    }

    public void setAkkbra(String akkbra) {
        this.akkbra = akkbra;
    }

    public String getAkkcom() {
        return akkcom;
    }

    public void setAkkcom(String akkcom) {
        this.akkcom = akkcom;
    }

    public String getAkkreg() {
        return akkreg;
    }

    public void setAkkreg(String akkreg) {
        this.akkreg = akkreg;
    }

    public String getLidcndflg() {
        return lidcndflg;
    }

    public void setLidcndflg(String lidcndflg) {
        this.lidcndflg = lidcndflg;
    }

    public int getLidmaxdur() {
        return lidmaxdur;
    }

    public void setLidmaxdur(int lidmaxdur) {
        this.lidmaxdur = lidmaxdur;
    }

    public String getTrdcndflg() {
        return trdcndflg;
    }

    public void setTrdcndflg(String trdcndflg) {
        this.trdcndflg = trdcndflg;
    }

    public int getTrdtentot() {
        return trdtentot;
    }

    public void setTrdtentot(int trdtentot) {
        this.trdtentot = trdtentot;
    }

    public int getTrdtenini() {
        return trdtenini;
    }

    public void setTrdtenini(int trdtenini) {
        this.trdtenini = trdtenini;
    }

    public int getTrdtenext() {
        return trdtenext;
    }

    public void setTrdtenext(int trdtenext) {
        this.trdtenext = trdtenext;
    }

    public int getTrdextnmb() {
        return trdextnmb;
    }

    public void setTrdextnmb(int trdextnmb) {
        this.trdextnmb = trdextnmb;
    }

    public String getBadcndflg() {
        return badcndflg;
    }

    public void setBadcndflg(String badcndflg) {
        this.badcndflg = badcndflg;
    }

    public int getBadtenext() {
        return badtenext;
    }

    public void setBadtenext(int badtenext) {
        this.badtenext = badtenext;
    }

    public String getAdrsta() {
        return adrsta;
    }

    public void setAdrsta(String adrsta) {
        this.adrsta = adrsta;
    }

    public String getSeltyp() {
        return seltyp;
    }

    public void setSeltyp(String seltyp) {
        this.seltyp = seltyp;
    }

    public String getBuytyp() {
        return buytyp;
    }

    public void setBuytyp(String buytyp) {
        this.buytyp = buytyp;
    }

    public String getSla() {
        return sla;
    }

    public void setSla(String sla) {
        this.sla = sla;
    }

    public String getEtgextkey() {
        return etgextkey;
    }

    public void setEtgextkey(String etgextkey) {
        this.etgextkey = etgextkey;
    }

    public String getNam1() {
        return nam1;
    }

    public void setNam1(String nam1) {
        this.nam1 = nam1;
    }

    public String getJuscod() {
        return juscod;
    }

    public void setJuscod(String juscod) {
        this.juscod = juscod;
    }

    public double getBilvvv() {
        return bilvvv;
    }

    public void setBilvvv(double bilvvv) {
        this.bilvvv = bilvvv;
    }

    public String getCunqii() {
        return cunqii;
    }

    public void setCunqii(String cunqii) {
        this.cunqii = cunqii;
    }

    public String getIdcode() {
        return idcode;
    }

    public void setIdcode(String idcode) {
        this.idcode = idcode;
    }

    public String getIdtype() {
        return idtype;
    }

    public void setIdtype(String idtype) {
        this.idtype = idtype;
    }

    public String getBchkeyinr() {
        return bchkeyinr;
    }

    public void setBchkeyinr(String bchkeyinr) {
        this.bchkeyinr = bchkeyinr;
    }

    public String getClscty() {
        return clscty;
    }

    public void setClscty(String clscty) {
        this.clscty = clscty;
    }

    public String getProcod() {
        return procod;
    }

    public void setProcod(String procod) {
        this.procod = procod;
    }

    public String getTrnman() {
        return trnman;
    }

    public void setTrnman(String trnman) {
        this.trnman = trnman;
    }

    public String getSpeeco() {
        return speeco;
    }

    public void setSpeeco(String speeco) {
        this.speeco = speeco;
    }

    public double getSelrat() {
        return selrat;
    }

    public void setSelrat(double selrat) {
        this.selrat = selrat;
    }

    public double getBuyrat() {
        return buyrat;
    }

    public void setBuyrat(double buyrat) {
        this.buyrat = buyrat;
    }

    public String getBngcod() {
        return bngcod;
    }

    public void setBngcod(String bngcod) {
        this.bngcod = bngcod;
    }

    public String getEcifno() {
        return ecifno;
    }

    public void setEcifno(String ecifno) {
        this.ecifno = ecifno;
    }

    public String getDshflg() {
        return dshflg;
    }

    public void setDshflg(String dshflg) {
        this.dshflg = dshflg;
    }

    public String getCrmtyp() {
        return crmtyp;
    }

    public void setCrmtyp(String crmtyp) {
        this.crmtyp = crmtyp;
    }

    public String getEcifnam1() {
        return ecifnam1;
    }

    public void setEcifnam1(String ecifnam1) {
        this.ecifnam1 = ecifnam1;
    }

    public String getEcifjuscod() {
        return ecifjuscod;
    }

    public void setEcifjuscod(String ecifjuscod) {
        this.ecifjuscod = ecifjuscod;
    }

    public String getQygmgb() {
        return qygmgb;
    }

    public void setQygmgb(String qygmgb) {
        this.qygmgb = qygmgb;
    }

    public Date getKhbsdt() {
        return khbsdt;
    }

    public void setKhbsdt(Date khbsdt) {
        this.khbsdt = khbsdt;
    }

}

